package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.OrderLogMapper;
import com.ruoyi.system.domain.OrderLog;
import com.ruoyi.system.service.IOrderLogService;

/**
 * 订单服务记录Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-05-13
 */
@Service
public class OrderLogServiceImpl implements IOrderLogService 
{
    @Autowired
    private OrderLogMapper orderLogMapper;

    /**
     * 查询订单服务记录
     * 
     * @param id 订单服务记录主键
     * @return 订单服务记录
     */
    @Override
    public OrderLog selectOrderLogById(Long id)
    {
        return orderLogMapper.selectOrderLogById(id);
    }


/**
     * 查询订单服务记录数量
     * 
     * @param orderId 订单ID
     * @return 订单服务记录数量
     */
    public int selectCountOrderLogByOrderId(String orderId){
        return orderLogMapper.selectCountOrderLogByOrderId(orderId);
    }

    /**
     * 查询订单服务记录列表
     * 
     * @param orderId 订单ID
     * @return 订单服务记录列表
     */
    public List<OrderLog> selectOrderLogByOrderId(String orderId){
        return orderLogMapper.selectOrderLogByOrderId(orderId);
    }



    /**
     * 查询订单服务记录列表
     * 
     * @param orderLog 订单服务记录
     * @return 订单服务记录
     */
    @Override
    public List<OrderLog> selectOrderLogList(OrderLog orderLog)
    {
        return orderLogMapper.selectOrderLogList(orderLog);
    }

    /**
     * 新增订单服务记录
     * 
     * @param orderLog 订单服务记录
     * @return 结果
     */
    @Override
    public int insertOrderLog(OrderLog orderLog)
    {
        return orderLogMapper.insertOrderLog(orderLog);
    }

    /**
     * 修改订单服务记录
     * 
     * @param orderLog 订单服务记录
     * @return 结果
     */
    @Override
    public int updateOrderLog(OrderLog orderLog)
    {
        return orderLogMapper.updateOrderLog(orderLog);
    }

    /**
     * 批量删除订单服务记录
     * 
     * @param ids 需要删除的订单服务记录主键
     * @return 结果
     */
    @Override
    public int deleteOrderLogByIds(Long[] ids)
    {
        return orderLogMapper.deleteOrderLogByIds(ids);
    }

    /**
     * 删除订单服务记录信息
     * 
     * @param id 订单服务记录主键
     * @return 结果
     */
    @Override
    public int deleteOrderLogById(Long id)
    {
        return orderLogMapper.deleteOrderLogById(id);
    }
}
